
%define	upstream_name	 File-chdir
%define	upstream_version 0.1002

Name:		perl-%{upstream_name}
Version:	 %{upstream_version}
Release:	%mkrel 10

Summary:	A more sensible way to change directories
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

Buildarch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Perl's chdir() has the unfortunate problem of being very, very, very
global.  If any part of your program calls chdir() or if any library
you use calls chdir(), it changes the current working directory for
the B<whole> program.

File::chdir gives you an alternative, $CWD and @CWD.  These two
variables combine all the power of C<chdir()>, File::Spec and Cwd.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc Changes
%dir %{perl_vendorlib}/File
%{perl_vendorlib}/File/*
%exclude %{_mandir}/*/*



%changelog
* Sun Sep 12 2009 pcserver <pcserver at hushmail.com>
-update

